Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
tenants
List tenants
curl --request GET \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "has_next": true,
  "data": [
    {
      "id": "<string>",
      "organization_id": "<string>",
      "create_date": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "region": "<string>",
      "product_id": "<string>",
      "policy_id": "<string>"
    }
  ]
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization id
string
required

The unique identifier of the organization

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Query Parameters

page
integer
default:1

Page number (default: 1)

Required range: x >= 1
per_page
integer
default:100

Number of items per page

Required range: 1 <= x <= 100
sort
string

Sorting field with optional order suffix (:asc or :desc), e.g., "name", "name:asc", "create_date:desc". Use ascending order by default if no suffix is provided. Valid fields: id, create_date, name, region, product_id, policy_id

fields
string

Comma-separated list of fields to include in each tenant element. Selectable fields: id, organization_id, create_date, name, region, product_id, policy_id. The field id is always included.

Maximum string length: 2048
filters
string

Filter tenants by one or more criteria. Provide a JSON object with filter conditions. You can filter by any field returned in the response. Use comparison operators (eq, ne, gt, gte, lt, lte, in, nin, contains, startsWith, endsWith, between) and combine multiple conditions with logical operators (and, or). Maximum length: 5120 characters. Filter tenants using a JSON object. Specify the field to filter, comparison operator, and value. Example: {"field": "name", "op": "eq", "value": "Tenant 1"}

Maximum string length: 5120
Example:

"{\"field\": \"name\", \"op\": \"eq\", \"value\": \"Tenant 1\"}"

Response

Paginated list of tenants successfully retrieved. The response includes pagination flag and tenant data array.

has_next
boolean
required

Indicates if more pages are available

data
object[]
required